aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/tree.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-07-28 16:00:57 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-07-28 16:00:57 +1200
commitc206e46c9afbc0baeeb5828e4aff9888558b104d (patch)
treecf8e857ab557a591a2431659dc391dfb11b587c4 /sh/shrc.d/tree.sh
parentMerge branch 'master' into port/bsd/freebsd (diff)
parentAdjust linebreak behaviour around downloads check (diff)
downloaddotfiles-c206e46c9afbc0baeeb5828e4aff9888558b104d.tar.gz
dotfiles-c206e46c9afbc0baeeb5828e4aff9888558b104d.zip
Merge branch 'master' into port/bsd/freebsd
Diffstat (limited to 'sh/shrc.d/tree.sh')
-rw-r--r--sh/shrc.d/tree.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sh/shrc.d/tree.sh b/sh/shrc.d/tree.sh
index b4f91df8..ca134fe2 100644
--- a/sh/shrc.d/tree.sh
+++ b/sh/shrc.d/tree.sh
@@ -21,7 +21,7 @@ tree() {
[ -t 1 ] || exit
# Not if output terminal doesn't have at least 8 colors
- [ "$({ tput colors || tput Co ; } 2>/dev/null)" -ge 8 ] || exit
+ [ "$({ tput colors||tput Co||echo 0; } 2>/dev/null)" -ge 8 ]
) ; then
set -- -C "$@"